#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sort
%define		pnam	Versions
Summary:	Sort::Versions Perl module - sorting of revision-like numbers
Summary(pl.UTF-8):	Moduł Perla Sort::Versions - sortowanie liczb typu numery rewizji
Name:		perl-Sort-Versions
Version:	1.62
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sort/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c975afa9dd114951d902aa4a81ead685
URL:		http://search.cpan.org/dist/Sort-Versions/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Obsoletes:	perl-SortVersions
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sort::Versions allows easy sorting of mixed non-numeric and numeric
strings, like the "version numbers" that many shared library systems
and revision control packages use.

%description -l pl.UTF-8
Moduł Sort::Versions umożliwia łatwe sortowanie łańcuchów złożonych z
przemieszanych znaków alfanumerycznych, takich jak numery wersji
bibliotek dzielonych lub numery rewizji używanych przez programy typu
RCS.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests: %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_vendorlib}/Sort/Versions.pm
%{_mandir}/man3/Sort::Versions.3pm*
%changelog
* Thu Nov 14 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Sort-Versions.git;a=log;h=master

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> c456335
- up to 1.62

* Fri Feb 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 6d7bfd0
- generic URL, real summaries

* Mon Jul 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a1392c6
- release 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> b437888
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> bc5b476
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5e0fbe6
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> e0d7fd2
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> d9f751a
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

* Thu May 06 2004 ankry <ankry@pld-linux.org> 079242e
- fixed perl-devel BR

* Sun May 02 2004 ankry <ankry@pld-linux.org> 6eff8b4
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

* Wed Feb 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 2aa48b0
- s/no/nb/ in Summary langs

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> cb7e6e6
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> ae80a0a
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> e3664c6
- release 5
- rebuild with perl 5.6.1

* Wed May 28 2003 Michal Moskal <michal@moskal.me> f37f49c
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 1ed2198
- release 4: rebuild against perl 5.6 and use rpm automation.

* Fri Apr 11 2003 radek <radek@pld-linux.org> 59debec
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> c079996
- added using %%{__make} macro.

* Tue Feb 25 2003 radek <radek@pld-linux.org> 0ec5891
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> c9f06cf
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

